Skip to main content
`Ctrl`+`K`

# DMTSSetI2Function

set `TS` implicit function evaluation function for 2nd order systems into a `TSDM`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2Function(DM dm, TSI2FunctionFn *fun, PetscCtx ctx)

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- fun - function evaluation routine

- ctx - context for residual evaluation

## Note

`TSSetI2Function()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`, `TSSetI2Function()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages